/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#ifndef _MY_ASSERT_H
#define _MY_ASSERT_H

#include <stdio.h>

#ifdef assert
#undef assert
#endif

#define assert(__cond) \
  do { \
    if (!(__cond)) { \
      fprintf(stderr, \
              "condition failed! " #__cond " %s:%d\n", __FILE__, __LINE__); \
    } \
  } while (0)

#endif /* _MY_ASSERT_H */
