// Copyright (c) 2012 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;


class DllImportExample {
  [DllImport ("__Internal", EntryPoint="reverse")]
  public extern static string reverse(string s);

  [DllImport ("__Internal", EntryPoint="rot13")]
  public extern static string rot13(string s);
 
  [MethodImplAttribute (MethodImplOptions.InternalCall)]
  public extern static void post_message_icall(string s);

  public static void ReverseC(string s) {
    string ret = reverse(s);
    post_message_icall(ret);
  }

  public static void Rot13C(string s) {
    string ret = rot13(s);
    post_message_icall(ret);
  }
  
  public static void Main(string[] args) {
    post_message_icall("Main called");
  }
};
