/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#include <ctype.h>
#include <string.h>

char *rot13(char *input) {
  char *ret = strdup(input);
  size_t len = strlen(ret);
  unsigned int i;
  for (i = 0; i < len; i++) {
    if (isalpha(ret[i])) {
      if (islower(ret[i]))
        ret[i] = ret[i] < 'n' ? ret[i] + 13 : ret[i] - 13;
      else
        ret[i] = ret[i] < 'N' ? ret[i] + 13 : ret[i] - 13;
    }
  }
  return ret;
}

char* reverse(char* input) {
  char* ret = strdup(input);
  size_t len = strlen(ret);
  unsigned int i;
  for (i = 0; i < len / 2; i++) {
    char swap = ret[i];
    ret[i] = ret[len - 1 - i];
    ret[len - 1 - i] = swap;
  }
  return ret;
}
